import request from '../../utils/request'

export function getOnlineCount() {
    return request({
        url: '/notification/getOnlineCount',
        method: 'get',
    })
}

export function sendMessageToAll(data) {
    return request({
        url: '/notification/sendMessageToAll',
        method: 'post',
        data,
    })
}

export function sendSystemUpdatesMessage(message) {
    return request({
        url: '/sendSystemUpdatesMessage',
        method: 'get',
        params: {message}
    })
}

export function sendScrollingMessages(message) {
    return request({
        url: '/sendScrollingMessages',
        method: 'get',
        params: {message}
    })
}
